//	test how pixmap label type draws

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Pixmap.H>
#include <stdio.h>

#include "porsche1.xpm"

#include <FL/Fl_Toggle_Button.H>

Fl_Toggle_Button *leftb,*rightb,*topb,*bottomb,*insideb;
Fl_Button *b;
Fl_Window *w;

void button_cb(Fl_Object *,void *) {
  int i = 0;
  if (leftb->value()) i |= FL_ALIGN_LEFT;
  if (rightb->value()) i |= FL_ALIGN_RIGHT;
  if (topb->value()) i |= FL_ALIGN_TOP;
  if (bottomb->value()) i |= FL_ALIGN_BOTTOM;
  if (insideb->value()) i |= FL_ALIGN_INSIDE;
  b->align(i);
  w->redraw();
}

int dvisual = 0;
int arg(int, char **argv, int &i) {
  if (argv[i][1] == '8') {dvisual = 1; i++; return 1;}
  return 0;
}

int main(int argc, char **argv) {
  int i = 1;
  if (Fl::args(argc,argv,i,arg) < argc)
    Fl::abort(" -8 # : use default visual\n%s\n",Fl::help);

  for (int j=0; j<4*4; j++)
    printf("\\x%02x",porsche[1][j]);
  printf("\n");

  Fl_Window window(400,400); ::w = &window;
  Fl_Button b(140,160,120,120,0); ::b = &b;
  (new Fl_Pixmap(porsche))->label(&b);
  window.add(b);
  window.add(leftb = new Fl_Toggle_Button(50,75,50,25,"left"));
  leftb->callback(button_cb);
  window.add(rightb = new Fl_Toggle_Button(100,75,50,25,"right"));
  rightb->callback(button_cb);
  window.add(topb = new Fl_Toggle_Button(150,75,50,25,"top"));
  topb->callback(button_cb);
  window.add(bottomb = new Fl_Toggle_Button(200,75,50,25,"bottom"));
  bottomb->callback(button_cb);
  window.add(insideb = new Fl_Toggle_Button(250,75,50,25,"inside"));
  insideb->callback(button_cb);
  if (!dvisual) Fl::visual(FL_RGB);
  window.resizable(window);
  window.show(argc,argv);
  while (1) Fl::wait();
}
